Bug 1479304 - (CVE-2017-1000111) CVE-2017-1000111 kernel: Heap out-of-bounds in AF_PACKET sockets
CVE-2017-1000111 kernel: Heap out-of-bounds in AF_PACKET sockets
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20170810,repo...
: Security
Depends On: 1481926 1481927 1481937 1481938 1481940 1481941 1481942 1481943 1480464 1481939
Blocks: 1479308
  Show dependency treegraph
 
Reported: 2017-08-08 06:45 EDT by Andrej Nemec
Modified: 2017-08-21 02:45 EDT (History)
38 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A race condition issue leading to a use-after-free flaw was found in the way the raw packet sockets are implemented in the Linux kernel networking subsystem handling synchronization. A local user able to open a raw packet socket (requires the CAP_NET_RAW capability) could use this flaw to elevate their privileges on the system.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-08-08 06:45:41 EDT
A race condition issue leading to a use-after-free flaw was found in the way the raw packet sockets implementation in the Linux kernel networking subsystem handled synchronization. A local user able to open a raw packet socket (requires the CAP_NET_RAW capability) could use this flaw to elevate their privileges on the system.

In a default or common use of Red Hat Enterprise Linux 6 and 7 this issue does not allow an unprivileged local user elevate their privileges on the system.

In order to exploit this issue the attacker needs CAP_NET_RAW capability, which needs to be granted by the administrator to the attacker's account. Since Red Hat Enterprise Linux does not have unprivileged user namespaces enabled by default, local unprivileged users also cannot abuse namespaces to grant this capability to themselves and elevate their privileges.

Upstream patch:
http://patchwork.ozlabs.org/patch/800274/
Comment 1 Andrej Nemec 2017-08-08 06:45:51 EDT
Acknowledgments:

Name: Willem de Bruijn
Comment 2 Wade Mealing 2017-08-10 00:21:18 EDT
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6,7 and MRG-2.

Future Linux kernel updates for the respective releases may address this issue.
Comment 5 Adam Mariš 2017-08-11 04:07:19 EDT
Public via:

http://seclists.org/oss-sec/2017/q3/279
Comment 6 Adam Mariš 2017-08-11 04:08:35 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1480464]

Note You need to log in before you can comment on or make changes to this bug.